#import "test.h"


@implementation MyTestClass

- init
{
	self = [super init];
	if (self)
	{
		_ivar3 = [NSString stringWithFormat:@"test string %p", self];
	}
	return self;
}

- (void)dealloc
{
	[_ivar3 release];
	[super dealloc];
}

//! The \a value is retained by the receiver.
//! \result The previous value of \a _ivar3.
- (id)doSomethingImportant:(id)value
{
	id saveVar = [_ivar3 autorelease];
	_ivar3 = [value retain];
	
	return saveVar;
}

@end


//! \param a First value.
//! \param b Second value.
int MyTestCppClass::testMethod(int a, int b)
{
	return a+b;
}

